设置 Toolkit - Amazon Toolkit for Eclipse
Amazon Web Services 文档中描述的 Amazon Web Services 服务或功能可能因区域而异。要查看适用于中国区域的差异,请参阅中国的 Amazon Web Services 服务入门

本文属于机器翻译版本。若本译文内容与英语原文存在差异,则一律以英文原文为准。

设置 Toolkit

本部分介绍如何安装或升级 Toolkit for Eclipse。

先决条件

Toolkit for Eclipse 有以下先决条件:

  • 亚马逊 Web Services 账户— 获取Amazon账户,转至Amazon主页然后单击立即注册. 通过注册,您将能够使用由Amazon.

  • 受支持的操作系统— Windows、Linux、macOS 或 Unix 上受支持的 Toolkit for Eclipse。

  • Java 1.8

  • 适用于 Java 开发人员的 Eclipse IDE 4.2 或更高版本— 我们尽量使 Toolkit for Eclipse 保持同步,并在Eclipse 下载页面.

    注意

    Eclipse 提供了多个不同的下载。我们建议安装面向企业 Java 开发人员的 Eclipse IDE,其中包括Eclipse Web 工具平台Elastic Beanstalk 要求,Eclipse 数据工具平台对于 Amazon SimpleDB 功能而言,Eclipse eGit,以及M2Eclipse. 如果您安装了其他版本的 Eclipse,请确保您拥有 (或者已使用提供的链接安装) 对这些功能的支持。

安装 ToToolkit for Eclipse

安装AmazonToolkit for Eclipse

  1. 在 Eclipse 中,单击 Help (帮助),然后单击 Install New Software (安装新软件)

  2. 使用框,键入https://aws.amazon.com/eclipse; 然后按Enter.

  3. 选择您希望安装 Toolkit for Eclipse 的组件。单击 Select All (全选) 可一次安装所有组件。

    注意
    • AmazonEclipse Core 工具包(在Amazon核心管理工具部分)规定的;所有其他组件都是可选的。

    • 对 Amazon RDS 或 Amazon SimpleDB 管理器的 Support 要求Eclipse 数据工具平台(DTP) 已安装。默认情况下,DTP 与“Java EE 开发人员”版本的 Eclipse 一起安装,也可以单独安装

  4. 完成选择后,单击 Next (下一步)(或 Finish (完成))以完成安装。

在您设置 Toolkit for Eclipse 之后,您应该配置Amazon凭证.

注意

根据所选的选项以及诸如网络速度、服务器延迟和系统容量等因素,最长可能需要 30 分钟来完成安装。

升级 ToToolkit for Eclipse

要升级或重新安装 Toolkit for Eclipse,请使用与安装工具包.

某些 Eclipse 版本(特别是 MarsNeon),可能会由于旧版本 Oomph 插件中的缺陷而无法提取最新的项目。要解决此问题:

  1. 请确保您在使用https://aws.amazon.com/eclipse/site.xml作为 Toolkit for Eclipse 更新站点。

  2. 删除 ~/.eclipse/org.eclipse.oomph.p2/cache/ 目录以删除缓存的内容。

  3. 安装 Oomph(Eclipse 安装程序)的最新版本。